%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version:        2.16.0
Release:        5%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0:        https://tarballs.openstack.org/diskimage-builder/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=2.16.0
Patch0001: 0001-Don-t-quote-names-with-sgdisk.patch
Patch0002: 0002-block-device-lvm-fix-umount-phase.patch
Patch0003: 0003-Move-localloop-to-exec_sudo.patch
Patch0004: 0004-Call-kpartx-remove-in-umount-not-cleanup.patch
Patch0005: 0005-Fix-for-proper-LVM-support.patch
Patch0006: 0006-cache-url-requires-curl.patch
Patch0007: 0007-modprobe-DIB_MODPROBE_BLACKLIST-should-be-optional.patch
Patch0008: 0008-Add-DIB-element-to-blacklist-nouveau.patch
Patch0009: 0009-Move-LVM-cleanup-phase-into-cleanup.patch
Patch0010: 0010-Only-detach-device-if-all-partitions-have-been-clean.patch
Patch0011: 0011-Fix-typo-in-installation.rst.patch
Patch0012: 0012-Add-an-element-to-configure-iBFT-network-interfaces.patch
Patch0013: 0013-Adding-ibft-interfaces-to-SOURCES.txt.patch
Patch0014: 0014-Use-x86-architeture-specific-grub2-packages-for-RHEL.patch

AutoReqProv: no

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: python-babel
Requires: tar
Requires: git
Requires: dib-utils
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: /usr/bin/python
Requires: python(abi) = 2.7
Requires: python-flake8
Requires: python-networkx
Requires: python2-pbr
Requires: python2-six
Requires: python2-stevedore
Requires: PyYAML

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{python2_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Mon Sep 23 2019 Bob Fournier <bfournie@redhat.com> 2.16.0-5
- Use x86 architeture specific grub2 packages for RHEL (rhbz#1749901)

* Thu Dec 13 2018 Bob Fournier <bfournie@redhat.com> 2.16.0-4
- Adding ibft-interfaces to SOURCES.txt (rhbz#1633095)

* Thu Dec 06 2018 Bob Fournier <bfournie@redhat.com> 2.16.0-3
- Add an element to configure iBFT network interfaces (rhbz#1633095)

* Mon Oct 15 2018 Jon Schlueter <jschluet@redhat.com> 2.16.0-2
- import from upstream (rhbz#1639540)
- Only detach device if all partitions have been cleaned
- Move LVM cleanup phase into cleanup
- Add DIB element to blacklist nouveau
- modprobe DIB_MODPROBE_BLACKLIST should be optional
- cache-url requires curl
- Fix for proper LVM support
- Call kpartx remove in umount, not cleanup
- Move localloop to exec_sudo
- block-device lvm: fix umount phase
- Don't quote names with sgdisk

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 2.16.0-1
- Update to 2.16.0 (rhbz#1607425)

* Tue Apr 17 2018 Jon Schlueter <jschluet@redhat.com> 2.13.0-1
- Update to 2.13.0

* Tue Mar 13 2018 RDO <dev@lists.rdoproject.org> 2.11.0-1
- Update to 2.11.0

* Thu Feb 15 2018 Haikel Guemar <hguemar@fedoraproject.org> 2.10.1-1
- Update to 2.10.1

